Skip to main content
PUT
Update a data source

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Body

application/json
is_enabled
boolean
default:true

Whether or not the data source is enabled. If disabled, hides related transactions from analytics

Example:

true

Response

200 - application/json

Ok

created
string<date-time>
required

When the data source was created in Heron system

Example:

"2026-06-10T20:16:10.444184"

data_source_accounts
object[]
required

List of data source accounts associated with the data source

Example:
heron_id
string
required
read-only

Unique ID for data source generated by Heron

Example:

"dso_ZZ6jXGeTpSG9eNTKU3fDnC"

last_updated
string<date-time>
required

When the data source was last updated in Heron system

Example:

"2026-07-22T20:16:10.444214"

reference_id
string
required

Unique ID to identify the data source

Example:

"pdf_TBh94TT9TQwYWxjT4CTtvt"

type
enum<string>
required

Data source type

Available options:
api,
csv,
pdf,
integration_link,
legacy,
legacy_pdf,
legacy_integration_link
Example:

"pdf"

is_enabled
boolean
default:true

Whether or not the data source is enabled. If disabled, hides related transactions from analytics

Example:

true

metadata
object

Metadata associated with the data source

Example:
status
enum<string>

Status of the data source entity, where applicable (e.g. pdfs, integration links)

Available options:
new,
parsing,
parsed,
processed,
human_reviewing,
approved,
rejected,
failed,
transactions_loaded,
transactions_unloaded,
pending,
active,
syncing,
erroring,
sync_disabled,
deleted_in_plaid,
unknown
Example:

"new"